Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.layoutrecognition.LRGraphicsObjectElement Class Reference
Inheritance diagram for foxit.addon.layoutrecognition.LRGraphicsObjectElement:

## Public Member Functions
| LRGraphicsObjectElement ()
| Constructor.
| LRGraphicsObjectElement (LRGraphicsObjectElement other)
| Constructor, with another graphics object element object. More...
| LRGraphicsObjectElement (LRElement element)
| Constructor, with parent class object. More...
RectF | GetBBox ()
| Get bounding box. More...
PDFDictionary | GetDict ()
| Get PDF dictionary of related graphics object. More...
GraphicsObject | GetGraphicsObject ()
| Get related graphics object. More...
int | GetGraphicsObjectIndex ()
| Get index of related graphics object. More...
Matrix2D | GetMatrix ()
| Get matrix. More...
LRGraphicsObjectElement | GetParentGraphicsObjectElement ()
| Get the parent graphics object element. More...
Public Member Functions inherited from foxit.addon.layoutrecognition.LRElement
| LRElement ()
| Constructor.
| LRElement (LRElement other)
| Constructor, with another base element object. More...
LRElement.ElementType | GetElementType ()
| Get element type. More...
bool | IsContentElement ()
| Check whether current object is content element or not. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | IsGraphicsObjectElement ()
| Check whether current object is graphics object element or not. More...
bool | IsStructureElement ()
| Check whether current object is structure element or not. More...
string | StringifyType ()
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...

## Additional Inherited Members
Public Types inherited from foxit.addon.layoutrecognition.LRElement
enum | ElementType : uint { ElementType.e_ElementTypeDocument = 0x0000, ElementType.e_ElementTypeDocumentFragment = 0x0001, ElementType.e_ElementTypePart = 0x0002, ElementType.e_ElementTypeArt = 0x0101, ElementType.e_ElementTypeSect = 0x0102, ElementType.e_ElementTypeDiv = 0x0100, ElementType.e_ElementTypeBlockQuote = 0x0103, ElementType.e_ElementTypeCaption = 0x0104, ElementType.e_ElementTypeTOC = 0x0105, ElementType.e_ElementTypeTOCI = 0x0106, ElementType.e_ElementTypeIndex = 0x0107, ElementType.e_ElementTypeAside = 0x0108, ElementType.e_ElementTypeTitle = 0x0109, ElementType.e_ElementTypeFENote = 0x010A, ElementType.e_ElementTypeNonStruct = 0x010F, ElementType.e_ElementTypePrivate = 0x0110, ElementType.e_ElementTypeParagraph = 0x0200, ElementType.e_ElementTypeHeading = 0x0201, ElementType.e_ElementTypeHeading1 = 0x0202, ElementType.e_ElementTypeHeading2 = 0x0203, ElementType.e_ElementTypeHeading3 = 0x0204, ElementType.e_ElementTypeHeading4 = 0x0205, ElementType.e_ElementTypeHeading5 = 0x0206, ElementType.e_ElementTypeHeading6 = 0x0207, ElementType.e_ElementTypeHeadingN = 0x0208, ElementType.e_ElementTypeList = 0x0209, ElementType.e_ElementTypeListItem = 0x020A, ElementType.e_ElementTypeListLabel = 0x020B, ElementType.e_ElementTypeListBody = 0x020C, ElementType.e_ElementTypeTable = 0x020D, ElementType.e_ElementTypeTableRow = 0x020E, ElementType.e_ElementTypeTableHeaderCell = 0x020F, ElementType.e_ElementTypeTableDataCell = 0x0210, ElementType.e_ElementTypeTableHeaderGroup = 0x0211, ElementType.e_ElementTypeTableBodyGroup = 0x0212, ElementType.e_ElementTypeTableFootGroup = 0x0213, ElementType.e_ElementTypeSpan = 0x0300, ElementType.e_ElementTypeQuote = 0x0301, ElementType.e_ElementTypeNote = 0x0302, ElementType.e_ElementTypeReference = 0x0303, ElementType.e_ElementTypeBibEntry = 0x0304, ElementType.e_ElementTypeCode = 0x0305, ElementType.e_ElementTypeLink = 0x0306, ElementType.e_ElementTypeAnnot = 0x0307, ElementType.e_ElementTypeRuby = 0x0308, ElementType.e_ElementTypeRubyBase = 0x0309, ElementType.e_ElementTypeRubyAnnot = 0x030A, ElementType.e_ElementTypeRubyPunc = 0x030B, ElementType.e_ElementTypeWarichu = 0x030C, ElementType.e_ElementTypeWarichuText = 0x030D, ElementType.e_ElementTypeWarichuPunc = 0x030E, ElementType.e_ElementTypeEm = 0x030F, ElementType.e_ElementTypeStrong = 0x0310, ElementType.e_ElementTypeSub = 0x0311, ElementType.e_ElementTypeFigure = 0x0400, ElementType.e_ElementTypeFormula = 0x0401, ElementType.e_ElementTypeForm = 0x0402, ElementType.e_ElementTypeArtifact = 0x1000, ElementType.e_ElementTypeTextObject = 0x80000001, ElementType.e_ElementTypePathObject = 0x80000002, ElementType.e_ElementTypeImageObject = 0x80000003, ElementType.e_ElementTypeShadingObject = 0x80000004, ElementType.e_ElementTypeFormObject = 0x80000005, ElementType.e_ElementTypeContainerObject = 0x8000000C, ElementType.e_ElementTypeAnnotObject = 0x8000000E, ElementType.e_ElementTypePageObject = 0x8000000F, ElementType.e_ElementTypeTextContent = 0xC0000001, ElementType.e_ElementTypePathContent = 0xC0000002, ElementType.e_ElementTypeImageContent = 0xC0000003, ElementType.e_ElementTypeShadingContent = 0xC0000004, ElementType.e_ElementTypeComplexContent = 0xC000000D, ElementType.e_ElementTypeAnnotContent = 0xC000000E }
| Enumeration for standard structure types. More...
Static Public Member Functions inherited from foxit.addon.layoutrecognition.LRElement
static string | StringifyElementType (LRElement.ElementType type)
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...

## Detailed Description

This class represents a graphics object element. Graphics object element can be used to get related the graphics object.

## Constructor & Destructor Documentation

## ◆ LRGraphicsObjectElement() [1/2]

foxit.addon.layoutrecognition.LRGraphicsObjectElement.LRGraphicsObjectElement | ( | LRGraphicsObjectElement | other | ) |
| inline

Constructor, with another graphics object element object.

Parameters

  [in] | other | Another graphics object element object.

## ◆ LRGraphicsObjectElement() [2/2]

foxit.addon.layoutrecognition.LRGraphicsObjectElement.LRGraphicsObjectElement | ( | LRElement | element | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | element | Parent class object.

## Member Function Documentation

## ◆ GetBBox()

RectF foxit.addon.layoutrecognition.LRGraphicsObjectElement.GetBBox | ( |  | ) |
| inline

Get bounding box.

Returns
  Bounding box.

## ◆ GetDict()

PDFDictionary foxit.addon.layoutrecognition.LRGraphicsObjectElement.GetDict | ( |  | ) |
| inline

Get PDF dictionary of related graphics object.

This function is available when related graphics object is a form XObject type. For other graphics object type, this function will return null.

Returns
  PDF dictionary of related graphics object.

## ◆ GetGraphicsObject()

GraphicsObject foxit.addon.layoutrecognition.LRGraphicsObjectElement.GetGraphicsObject | ( |  | ) |
| inline

Get related graphics object.

Returns
  Related graphics object. If no graphics object can be retrieved, this function will return null.

## ◆ GetGraphicsObjectIndex()

int foxit.addon.layoutrecognition.LRGraphicsObjectElement.GetGraphicsObjectIndex | ( |  | ) |
| inline

Get index of related graphics object.

Returns
  Index of graphics object.

## ◆ GetMatrix()

Matrix2D foxit.addon.layoutrecognition.LRGraphicsObjectElement.GetMatrix | ( |  | ) |
| inline

Get matrix.

Returns
  The matrix.

## ◆ GetParentGraphicsObjectElement()

LRGraphicsObjectElement foxit.addon.layoutrecognition.LRGraphicsObjectElement.GetParentGraphicsObjectElement | ( |  | ) |
| inline

Get the parent graphics object element.

Returns
  Parent graphics object element. If function LRGraphicsObjectElement::IsEmpty for the returned object returns true, that means current element does not have a parent graphics object element.